On 10/07/2012 03:00 PM, Gabriele Giacone wrote:
> On 10/07/2012 03:48 PM, Bernard Massot wrote:
>> Package: sweethome3d
>> Version: 3.5+dfsg-1
>> Severity: important
>>
>> Sweethome3d 3.6+dfsg-2 depends on "sweethome3d-furnitures" package, which
>> doesn't exist.
> 
> It's not in main yet. Blocker is lack of a sponsor.
> If anyone interested:
> 
> https://mentors.debian.net/package/sweethome3d-furniture
> https://mentors.debian.net/package/sweethome3d-furniture-nonfree
> 
> (it's also been renamed from -furnitures to -furniture so I'd also need
> to reupload sweethome3d but I can do that on my own).
> 
> In the meanwhile you could rebuild SH3D 3.6-2 (renaming dependency to
> -furniture) and SH3D-furniture yourself.

Hi Gabriele,

sweethome3d-furniture looks pretty straight forward.  I will sponsor an
upload this week.  I haven't looked at the -nonfree package yet.

And I'm just curious here, but is it really a dependency, or should it
be a recommends?  I built the sweethome3d 3.6+dfsg-2 package removing
the dependency and it seems to start and run correctly.  If it is a
dependency, you should probably go ahead and prepare an upload for
unstable with the right dependency.  That way it will be resolved once
the -furniture package makes it through incoming.

BTW, I'm not sure I agree that #689875 is actually release-critical.
sweethome3d 3.5+dfsg-1 installs on wheezy without any problem and wheezy
is frozen.  There's not an effort to try to migrate 3.6+dfsg-2 into
wheezy, is there?  (Still, the severity is correct since 3.6+dfsg-2
can't be installed in its current state.)

Thank you,
tony

Attachment: signature.asc
Description: OpenPGP digital signature

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to